// Learn cc.Class:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/class.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/class.html
// Learn Attribute:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/reference/attributes.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/life-cycle-callbacks.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/life-cycle-callbacks.html

class App
{
    constructor(){
        logger.log('constructor');

        cc.wangronghui.navigator = require('Navigator').getNavigator();

        logger.log('constructor end');
    }
}

/**
 * 当前环境设置为wangronghui
 */
cc.wangronghui = cc.wangronghui || {};
/**
 * 由于Logger可能很早使用，在外面初始化吧
 */
cc.wangronghui.Log = cc.wangronghui.Log || require('Logger');
const logger = cc.wangronghui.Log.getLogger('App.js');

/**
 * 保存下app
 */
cc.wangronghui.app = cc.wangronghui.app || new App();
